﻿Imports Telerik.WinControls.UI
Imports System.ComponentModel

Public Class Form1

    Public Sub New()

        InitializeComponent()

        Dim list As New BindingList(Of MyItem)

        For index = 1 To 10
            Dim item As New MyItem
            item.ComplimentaryInfo = "ComplimentaryInfo " & index
            item.Name = "Name " & index

            list.Add(item)
        Next

        ddCountry.DataSource = list
        ddCountry.DisplayMember = "Name"

    End Sub

    Private Sub ddCountry_ToolTipTextNeeded(sender As Object, e As Telerik.WinControls.ToolTipTextNeededEventArgs) Handles ddCountry.ToolTipTextNeeded
        If ddCountry.SelectedItem IsNot Nothing Then
            e.ToolTipText = ddCountry.SelectedItem.Text
        End If
    End Sub

    Private Sub ddCountry_VisualListItemFormatting(sender As Object, args As VisualItemFormattingEventArgs) Handles ddCountry.VisualListItemFormatting
        If ddCountry.SelectedItem IsNot Nothing Then
            args.VisualItem.ToolTipText = DirectCast(args.VisualItem.Data.DataBoundItem, MyItem).ComplimentaryInfo
        End If
    End Sub

End Class

Class MyItem
    Private _name As String
    Public Property Name() As String
        Get
            Return _name
        End Get
        Set(ByVal value As String)
            _name = value
        End Set
    End Property

    Private _complimentaryInfo As String
    Public Property ComplimentaryInfo() As String
        Get
            Return _complimentaryInfo
        End Get
        Set(ByVal value As String)
            _complimentaryInfo = value
        End Set
    End Property


End Class
